package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * ApWiredDownlink
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class ApWiredDownlink   {
  @JsonProperty("wiredDownlinkList")
  @Valid
  private List<ApDownLinkStatusVo> wiredDownlinkList = null;

  public ApWiredDownlink wiredDownlinkList(List<ApDownLinkStatusVo> wiredDownlinkList) {
    this.wiredDownlinkList = wiredDownlinkList;
    return this;
  }

  public ApWiredDownlink addWiredDownlinkListItem(ApDownLinkStatusVo wiredDownlinkListItem) {
    if (this.wiredDownlinkList == null) {
      this.wiredDownlinkList = new ArrayList<>();
    }
    this.wiredDownlinkList.add(wiredDownlinkListItem);
    return this;
  }

  /**
   * Wired downlink device list
   * @return wiredDownlinkList
  */
  @ApiModelProperty(value = "Wired downlink device list")

  @Valid

  public List<ApDownLinkStatusVo> getWiredDownlinkList() {
    return wiredDownlinkList;
  }

  public void setWiredDownlinkList(List<ApDownLinkStatusVo> wiredDownlinkList) {
    this.wiredDownlinkList = wiredDownlinkList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ApWiredDownlink apWiredDownlink = (ApWiredDownlink) o;
    return Objects.equals(this.wiredDownlinkList, apWiredDownlink.wiredDownlinkList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(wiredDownlinkList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ApWiredDownlink {\n");
    
    sb.append("    wiredDownlinkList: ").append(toIndentedString(wiredDownlinkList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

